# Class TextCell

java.lang.Object
org.eclipse.rap.rwt.template.Cell<TextCell>
org.eclipse.rap.rwt.template.TextCell

All Implemented Interfaces:
  `Serializable`

public class TextCell extends Cell<TextCell>
Defines a region in a template that displays a text.

Since:
  2.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TextCell(Template template)`
Constructs a new text cell and adds it to the given template.

## Method Summary

Modifier and Type
Method
Description
`TextCell`
`setText(String text)`
Sets the text to be displayed in the cell if the bindingIndex is not set.
`TextCell`
`setWrap(boolean wrap)`
Enables automatic line wrapping.
`protected JsonObject`
`toJson()`
Creates a JSON representation of this cell.

### Methods inherited from class Cell

`setBackground, setBindingIndex, setBottom, setBottom, setFont, setForeground, setHeight, setHorizontalAlignment, setLeft, setLeft, setName, setRight, setRight, setSelectable, setTop, setTop, setVerticalAlignment, setWidth`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextCell

public TextCell(Template template)
Constructs a new text cell and adds it to the given template.

## Method Details

### setText

public TextCell setText(String text)
Sets the text to be displayed in the cell if the bindingIndex is not set. Can be used to display a static text.

Parameters:
  `text` - the text to display, must not be `null`
Returns:
  the cell itself, to enable method chaining

### setWrap

public TextCell setWrap(boolean wrap)
Enables automatic line wrapping. The default is `false`.

Parameters:
  `wrap` - `true` to enable automatic line wrapping
Returns:
  the cell itself, to enable method chaining

### toJson

protected JsonObject toJson()
Description copied from class: `Cell`
Creates a JSON representation of this cell. Subclasses can override this method, but must call super and add additional attributes like this:

    protected JsonObject toJson() {
      JsonObject json = super.toJson();
      json.add( "foo", getFoo() );
      ...
      return json;
    }

Overrides:
  `toJson` in class `Cell<TextCell>`
Returns:
  a json object that represents this cell